#ifndef REPORT_SERVER_PROPERTIES_H
#define REPORT_SERVER_PROPERTIES_H
#include <nlohmann/json.hpp>

#include "common/json_util.h"

namespace zsy
{
    struct ReportServerProperties
    {
        std::string server;
        std::string passUrl;
        std::string reportUrl;
    };

    inline void from_json(const nlohmann::json &j, ReportServerProperties &o)
    {
        PARSE_JSON(server, o.server);
        PARSE_JSON(passUrl, o.passUrl);
        PARSE_JSON(reportUrl, o.reportUrl);
    }
}
#endif //REPORT_SERVER_PROPERTIES_H
